#ifndef __APP_H__
#define __APP_H__
#include <clip.h>
#define USE_BISON_FLEX	//Bison/Flexを使用しない場合はこの行をコメントアウトして下さい。
#ifdef  __cplusplus
extern "C" {
#endif//__cplusplus
#ifdef  USE_BISON_FLEX
#define YYSTYPE char*	//アプリケーション特有の定義
//y.tab.y
extern int yynerrs;
#if     (YYDEBUG!=0)
extern int yydebug;
#endif//(YYDEBUG!=0)
int yyparse();
void yyerror(const char* fmt, ...);
extern char err_path[MAX_PATH];
//lex.yy.l
extern FILE* yyin;
extern FILE* yyout;
extern int yylineno;
int yylex();
void yylex_init(FILE* input_file);
#endif//USE_BISON_FLEX
//app.c
void app_init(int argc, char* argv[]);
int  app_main(int argc, char* argv[]);
void app_exit();
#ifdef  __cplusplus
}//extern "C"
#endif//__cplusplus
#include "work.h"
#endif//__APP_H__
